<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: glyphMgr.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_844ccf4c9c5f524017223c512b74160f.html">src</a></div>
<h1>glyphMgr.h</h1><a href="glyphMgr_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
<a name="l00013"></a>00013 <span class="preprocessor">#ifndef GLYPH_MANAGER_H</span>
<a name="l00014"></a>00014 <span class="preprocessor"></span><span class="preprocessor">#define GLYPH_MANAGER_H</span>
<a name="l00015"></a>00015 <span class="preprocessor"></span>
<a name="l00016"></a>00016 <span class="preprocessor">#include &lt;ft2build.h&gt;</span>
<a name="l00017"></a>00017 <span class="preprocessor">#include FT_FREETYPE_H</span>
<a name="l00018"></a>00018 <span class="preprocessor"></span>
<a name="l00019"></a>00019 <span class="preprocessor">#include &lt;freetype/ftglyph.h&gt;</span>
<a name="l00020"></a>00020 
<a name="l00023"></a><a class="code" href="classFreetypeGlyphMgr.html">00023</a> <span class="keyword">class </span><a class="code" href="classFreetypeGlyphMgr.html" title="Manage FT_Glyph by insuring that FT_Glyph is handled correctly.">FreetypeGlyphMgr</a> { <span class="comment">//: public Manager&lt;FT_GlyphRec*&gt; {</span>
<a name="l00024"></a>00024   <span class="keyword">private</span>:
<a name="l00025"></a><a class="code" href="classFreetypeGlyphMgr.html#9a1a2ffad131a7c45ac474f4e6103187">00025</a>     FT_Glyph <a class="code" href="classFreetypeGlyphMgr.html#9a1a2ffad131a7c45ac474f4e6103187">_glyph</a>;
<a name="l00026"></a>00026 
<a name="l00027"></a>00027   <span class="keyword">public</span>:
<a name="l00028"></a>00028     <a class="code" href="classFreetypeGlyphMgr.html#22bfba2ff3a9140c69c683afb4dba98e" title="Manage FT_Glyph by insuring that resources are freed when done.">FreetypeGlyphMgr</a>();
<a name="l00029"></a>00029     <a class="code" href="classFreetypeGlyphMgr.html#22bfba2ff3a9140c69c683afb4dba98e" title="Manage FT_Glyph by insuring that resources are freed when done.">FreetypeGlyphMgr</a>(FT_Glyph glyph);
<a name="l00030"></a>00030     <a class="code" href="classFreetypeGlyphMgr.html#22bfba2ff3a9140c69c683afb4dba98e" title="Manage FT_Glyph by insuring that resources are freed when done.">FreetypeGlyphMgr</a>(<span class="keyword">const</span> <a class="code" href="classFreetypeGlyphMgr.html" title="Manage FT_Glyph by insuring that FT_Glyph is handled correctly.">FreetypeGlyphMgr</a>&amp; ftgm);
<a name="l00031"></a>00031     <a class="code" href="classFreetypeGlyphMgr.html" title="Manage FT_Glyph by insuring that FT_Glyph is handled correctly.">FreetypeGlyphMgr</a>&amp; <a class="code" href="classFreetypeGlyphMgr.html#85e092ca1e7b390f438833e02482c790">operator=</a>(<span class="keyword">const</span> <a class="code" href="classFreetypeGlyphMgr.html" title="Manage FT_Glyph by insuring that FT_Glyph is handled correctly.">FreetypeGlyphMgr</a>&amp; ftgm);
<a name="l00032"></a>00032     <a class="code" href="classFreetypeGlyphMgr.html#f5290bc2d4ffb7a48107667a84d01824">~FreetypeGlyphMgr</a>();
<a name="l00033"></a>00033     <a class="code" href="classFreetypeGlyphMgr.html#0df50c48c1c9697719b8015736fd465f">operator FT_Glyph</a>() <span class="keyword">const</span>;
<a name="l00034"></a>00034     <span class="keywordtype">void</span> <a class="code" href="classFreetypeGlyphMgr.html#9780a6d7796ac5e6bda3dfb550f59ef2">assign</a>(<span class="keyword">const</span> FT_Glyph glyph);
<a name="l00035"></a>00035 };
<a name="l00036"></a>00036 <span class="preprocessor">#endif</span>
</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
